{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "# Chapitre 15\n",
    "## Exercice 34 p 316 : Rebonds d'une balle  \n",
    "Enoncé"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "m=0.058      # masse de la balle de tennis en kg\n",
    "g=9.81       # intensité de la pesanteur terrestre en N/kg\n",
    "z_0=1        # altitude de départ en m\n",
    "v_0=0        # valeur de la vitesse initiale de chute en m/s"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "Em=1/2*m*v_0**2+m*g*z_0"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "for i in range(1,4):\n",
    "    z=Em/(m*g)\n",
    "    Em=Em*0.55\n",
    "    print (\"Hauteur du rebond numéro \",i,' :' ,round(z,4),'m') "
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.7.1"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
